﻿#pragma warning disable 1591
//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.42000
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace GDSyncApi
{
	using System.Data.Linq;
	using System.Data.Linq.Mapping;
	using System.Data;
	using System.Collections.Generic;
	using System.Reflection;
	using System.Linq;
	using System.Linq.Expressions;
	using System.ComponentModel;
	using System;
	
	
	[global::System.Data.Linq.Mapping.DatabaseAttribute(Name="Walkthrough")]
	public partial class DbDataContext : System.Data.Linq.DataContext
	{
		
		private static System.Data.Linq.Mapping.MappingSource mappingSource = new AttributeMappingSource();
		
    #region Extensibility Method Definitions
    partial void OnCreated();
    partial void InsertPublisherDomain(PublisherDomain instance);
    partial void UpdatePublisherDomain(PublisherDomain instance);
    partial void DeletePublisherDomain(PublisherDomain instance);
    partial void InsertPublisher(Publisher instance);
    partial void UpdatePublisher(Publisher instance);
    partial void DeletePublisher(Publisher instance);
    partial void InsertVimeoVideo(VimeoVideo instance);
    partial void UpdateVimeoVideo(VimeoVideo instance);
    partial void DeleteVimeoVideo(VimeoVideo instance);
    partial void InsertVimeoFile(VimeoFile instance);
    partial void UpdateVimeoFile(VimeoFile instance);
    partial void DeleteVimeoFile(VimeoFile instance);
    partial void InsertVimeoPicture(VimeoPicture instance);
    partial void UpdateVimeoPicture(VimeoPicture instance);
    partial void DeleteVimeoPicture(VimeoPicture instance);
    partial void InsertVideoCatalouge(VideoCatalouge instance);
    partial void UpdateVideoCatalouge(VideoCatalouge instance);
    partial void DeleteVideoCatalouge(VideoCatalouge instance);
    #endregion
		
		public DbDataContext() : 
				base(global::GDSyncApi.Properties.Settings.Default.WalkthroughConnectionString1, mappingSource)
		{
			OnCreated();
		}
		
		public DbDataContext(string connection) : 
				base(connection, mappingSource)
		{
			OnCreated();
		}
		
		public DbDataContext(System.Data.IDbConnection connection) : 
				base(connection, mappingSource)
		{
			OnCreated();
		}
		
		public DbDataContext(string connection, System.Data.Linq.Mapping.MappingSource mappingSource) : 
				base(connection, mappingSource)
		{
			OnCreated();
		}
		
		public DbDataContext(System.Data.IDbConnection connection, System.Data.Linq.Mapping.MappingSource mappingSource) : 
				base(connection, mappingSource)
		{
			OnCreated();
		}
		
		public System.Data.Linq.Table<PublisherDomain> PublisherDomains
		{
			get
			{
				return this.GetTable<PublisherDomain>();
			}
		}
		
		public System.Data.Linq.Table<Publisher> Publishers
		{
			get
			{
				return this.GetTable<Publisher>();
			}
		}
		
		public System.Data.Linq.Table<VimeoVideo> VimeoVideos
		{
			get
			{
				return this.GetTable<VimeoVideo>();
			}
		}
		
		public System.Data.Linq.Table<VimeoFile> VimeoFiles
		{
			get
			{
				return this.GetTable<VimeoFile>();
			}
		}
		
		public System.Data.Linq.Table<VimeoPicture> VimeoPictures
		{
			get
			{
				return this.GetTable<VimeoPicture>();
			}
		}
		
		public System.Data.Linq.Table<VideoCatalouge> VideoCatalouges
		{
			get
			{
				return this.GetTable<VideoCatalouge>();
			}
		}
		
		[global::System.Data.Linq.Mapping.FunctionAttribute(Name="dbo.APP_VideoCatalouge_Publish")]
		public int APP_VideoCatalouge_Publish([global::System.Data.Linq.Mapping.ParameterAttribute(Name="UserId", DbType="VarChar(128)")] string userId, [global::System.Data.Linq.Mapping.ParameterAttribute(Name="GameId", DbType="VarChar(32)")] string gameId, [global::System.Data.Linq.Mapping.ParameterAttribute(Name="Media", DbType="Xml")] System.Xml.Linq.XElement media, [global::System.Data.Linq.Mapping.ParameterAttribute(Name="Transcoded", DbType="Int")] System.Nullable<int> transcoded)
		{
			IExecuteResult result = this.ExecuteMethodCall(this, ((MethodInfo)(MethodInfo.GetCurrentMethod())), userId, gameId, media, transcoded);
			return ((int)(result.ReturnValue));
		}
		
		[global::System.Data.Linq.Mapping.FunctionAttribute(Name="dbo.APP_GetMediaForPoster")]
		public ISingleResult<APP_GetMediaForPosterResult> APP_GetMediaForPoster()
		{
			IExecuteResult result = this.ExecuteMethodCall(this, ((MethodInfo)(MethodInfo.GetCurrentMethod())));
			return ((ISingleResult<APP_GetMediaForPosterResult>)(result.ReturnValue));
		}
		
		[global::System.Data.Linq.Mapping.FunctionAttribute(Name="dbo.ADM_GamesForSync")]
		public ISingleResult<ADM_GamesForSyncResult> ADM_GamesForSync()
		{
			IExecuteResult result = this.ExecuteMethodCall(this, ((MethodInfo)(MethodInfo.GetCurrentMethod())));
			return ((ISingleResult<ADM_GamesForSyncResult>)(result.ReturnValue));
		}
		
		[global::System.Data.Linq.Mapping.FunctionAttribute(Name="dbo.APP_GetMediaForVimeoVideoFile")]
		public ISingleResult<VimeoFile> APP_GetMediaForVimeoVideoFile()
		{
			IExecuteResult result = this.ExecuteMethodCall(this, ((MethodInfo)(MethodInfo.GetCurrentMethod())));
			return ((ISingleResult<VimeoFile>)(result.ReturnValue));
		}
		
		[global::System.Data.Linq.Mapping.FunctionAttribute(Name="dbo.APP_GetMediaForVimeoVideoPicture")]
		public ISingleResult<VimeoPicture> APP_GetMediaForVimeoVideoPicture()
		{
			IExecuteResult result = this.ExecuteMethodCall(this, ((MethodInfo)(MethodInfo.GetCurrentMethod())));
			return ((ISingleResult<VimeoPicture>)(result.ReturnValue));
		}
		
		[global::System.Data.Linq.Mapping.FunctionAttribute(Name="dbo.APP_GetMediaForPreview")]
		public ISingleResult<APP_GetMediaForPreviewResult> APP_GetMediaForPreview()
		{
			IExecuteResult result = this.ExecuteMethodCall(this, ((MethodInfo)(MethodInfo.GetCurrentMethod())));
			return ((ISingleResult<APP_GetMediaForPreviewResult>)(result.ReturnValue));
		}
		
		[global::System.Data.Linq.Mapping.FunctionAttribute(Name="dbo.APP_GetMediaForTranscoding2")]
		public ISingleResult<APP_GetMediaForTranscoding2Result> APP_GetMediaForTranscoding2()
		{
			IExecuteResult result = this.ExecuteMethodCall(this, ((MethodInfo)(MethodInfo.GetCurrentMethod())));
			return ((ISingleResult<APP_GetMediaForTranscoding2Result>)(result.ReturnValue));
		}
		
		[global::System.Data.Linq.Mapping.FunctionAttribute(Name="dbo.APP_GetMediaForVimeoData3")]
		public ISingleResult<APP_GetMediaForVimeoData3Result> APP_GetMediaForVimeoData3()
		{
			IExecuteResult result = this.ExecuteMethodCall(this, ((MethodInfo)(MethodInfo.GetCurrentMethod())));
			return ((ISingleResult<APP_GetMediaForVimeoData3Result>)(result.ReturnValue));
		}
		
		[global::System.Data.Linq.Mapping.FunctionAttribute(Name="dbo.APP_GetMediaForVimeoUpload2")]
		public ISingleResult<APP_GetMediaForVimeoUpload2Result> APP_GetMediaForVimeoUpload2()
		{
			IExecuteResult result = this.ExecuteMethodCall(this, ((MethodInfo)(MethodInfo.GetCurrentMethod())));
			return ((ISingleResult<APP_GetMediaForVimeoUpload2Result>)(result.ReturnValue));
		}
	}
	
	[global::System.Data.Linq.Mapping.TableAttribute(Name="dbo.PublisherDomains")]
	public partial class PublisherDomain : INotifyPropertyChanging, INotifyPropertyChanged
	{
		
		private static PropertyChangingEventArgs emptyChangingEventArgs = new PropertyChangingEventArgs(String.Empty);
		
		private int _Id;
		
		private string _PublisherId;
		
		private string _Domain;
		
		private string _Title;
		
		private string _ColorText;
		
		private string _ColorBG;
		
		private string _ColorProgress;
		
		private string _LogoURL;
		
		private string _ThemeURL;
		
		private bool _Active;
		
		private bool _Deleted;
		
		private System.DateTime _AddedDate;
		
    #region Extensibility Method Definitions
    partial void OnLoaded();
    partial void OnValidate(System.Data.Linq.ChangeAction action);
    partial void OnCreated();
    partial void OnIdChanging(int value);
    partial void OnIdChanged();
    partial void OnPublisherIdChanging(string value);
    partial void OnPublisherIdChanged();
    partial void OnDomainChanging(string value);
    partial void OnDomainChanged();
    partial void OnTitleChanging(string value);
    partial void OnTitleChanged();
    partial void OnColorTextChanging(string value);
    partial void OnColorTextChanged();
    partial void OnColorBGChanging(string value);
    partial void OnColorBGChanged();
    partial void OnColorProgressChanging(string value);
    partial void OnColorProgressChanged();
    partial void OnLogoURLChanging(string value);
    partial void OnLogoURLChanged();
    partial void OnThemeURLChanging(string value);
    partial void OnThemeURLChanged();
    partial void OnActiveChanging(bool value);
    partial void OnActiveChanged();
    partial void OnDeletedChanging(bool value);
    partial void OnDeletedChanged();
    partial void OnAddedDateChanging(System.DateTime value);
    partial void OnAddedDateChanged();
    #endregion
		
		public PublisherDomain()
		{
			OnCreated();
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Id", AutoSync=AutoSync.OnInsert, DbType="Int NOT NULL IDENTITY", IsPrimaryKey=true, IsDbGenerated=true)]
		public int Id
		{
			get
			{
				return this._Id;
			}
			set
			{
				if ((this._Id != value))
				{
					this.OnIdChanging(value);
					this.SendPropertyChanging();
					this._Id = value;
					this.SendPropertyChanged("Id");
					this.OnIdChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_PublisherId", DbType="VarChar(32) NOT NULL", CanBeNull=false)]
		public string PublisherId
		{
			get
			{
				return this._PublisherId;
			}
			set
			{
				if ((this._PublisherId != value))
				{
					this.OnPublisherIdChanging(value);
					this.SendPropertyChanging();
					this._PublisherId = value;
					this.SendPropertyChanged("PublisherId");
					this.OnPublisherIdChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Domain", DbType="VarChar(200) NOT NULL", CanBeNull=false)]
		public string Domain
		{
			get
			{
				return this._Domain;
			}
			set
			{
				if ((this._Domain != value))
				{
					this.OnDomainChanging(value);
					this.SendPropertyChanging();
					this._Domain = value;
					this.SendPropertyChanged("Domain");
					this.OnDomainChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Title", DbType="VarChar(50)")]
		public string Title
		{
			get
			{
				return this._Title;
			}
			set
			{
				if ((this._Title != value))
				{
					this.OnTitleChanging(value);
					this.SendPropertyChanging();
					this._Title = value;
					this.SendPropertyChanged("Title");
					this.OnTitleChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_ColorText", DbType="VarChar(8)")]
		public string ColorText
		{
			get
			{
				return this._ColorText;
			}
			set
			{
				if ((this._ColorText != value))
				{
					this.OnColorTextChanging(value);
					this.SendPropertyChanging();
					this._ColorText = value;
					this.SendPropertyChanged("ColorText");
					this.OnColorTextChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_ColorBG", DbType="VarChar(8)")]
		public string ColorBG
		{
			get
			{
				return this._ColorBG;
			}
			set
			{
				if ((this._ColorBG != value))
				{
					this.OnColorBGChanging(value);
					this.SendPropertyChanging();
					this._ColorBG = value;
					this.SendPropertyChanged("ColorBG");
					this.OnColorBGChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_ColorProgress", DbType="VarChar(8)")]
		public string ColorProgress
		{
			get
			{
				return this._ColorProgress;
			}
			set
			{
				if ((this._ColorProgress != value))
				{
					this.OnColorProgressChanging(value);
					this.SendPropertyChanging();
					this._ColorProgress = value;
					this.SendPropertyChanged("ColorProgress");
					this.OnColorProgressChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_LogoURL", DbType="VarChar(500)")]
		public string LogoURL
		{
			get
			{
				return this._LogoURL;
			}
			set
			{
				if ((this._LogoURL != value))
				{
					this.OnLogoURLChanging(value);
					this.SendPropertyChanging();
					this._LogoURL = value;
					this.SendPropertyChanged("LogoURL");
					this.OnLogoURLChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_ThemeURL", DbType="VarChar(50)")]
		public string ThemeURL
		{
			get
			{
				return this._ThemeURL;
			}
			set
			{
				if ((this._ThemeURL != value))
				{
					this.OnThemeURLChanging(value);
					this.SendPropertyChanging();
					this._ThemeURL = value;
					this.SendPropertyChanged("ThemeURL");
					this.OnThemeURLChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Active", DbType="Bit NOT NULL")]
		public bool Active
		{
			get
			{
				return this._Active;
			}
			set
			{
				if ((this._Active != value))
				{
					this.OnActiveChanging(value);
					this.SendPropertyChanging();
					this._Active = value;
					this.SendPropertyChanged("Active");
					this.OnActiveChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Deleted", DbType="Bit NOT NULL")]
		public bool Deleted
		{
			get
			{
				return this._Deleted;
			}
			set
			{
				if ((this._Deleted != value))
				{
					this.OnDeletedChanging(value);
					this.SendPropertyChanging();
					this._Deleted = value;
					this.SendPropertyChanged("Deleted");
					this.OnDeletedChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_AddedDate", DbType="DateTime NOT NULL")]
		public System.DateTime AddedDate
		{
			get
			{
				return this._AddedDate;
			}
			set
			{
				if ((this._AddedDate != value))
				{
					this.OnAddedDateChanging(value);
					this.SendPropertyChanging();
					this._AddedDate = value;
					this.SendPropertyChanged("AddedDate");
					this.OnAddedDateChanged();
				}
			}
		}
		
		public event PropertyChangingEventHandler PropertyChanging;
		
		public event PropertyChangedEventHandler PropertyChanged;
		
		protected virtual void SendPropertyChanging()
		{
			if ((this.PropertyChanging != null))
			{
				this.PropertyChanging(this, emptyChangingEventArgs);
			}
		}
		
		protected virtual void SendPropertyChanged(String propertyName)
		{
			if ((this.PropertyChanged != null))
			{
				this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
			}
		}
	}
	
	[global::System.Data.Linq.Mapping.TableAttribute(Name="dbo.Publishers")]
	public partial class Publisher : INotifyPropertyChanging, INotifyPropertyChanged
	{
		
		private static PropertyChangingEventArgs emptyChangingEventArgs = new PropertyChangingEventArgs(String.Empty);
		
		private int _Id;
		
		private string _PublisherId;
		
		private string _Name;
		
		private string _Lastname;
		
		private string _Email;
		
		private string _CompanyName;
		
		private string _WebsiteURL;
		
		private bool _Active;
		
		private bool _Deleted;
		
		private System.DateTime _AddedDate;
		
    #region Extensibility Method Definitions
    partial void OnLoaded();
    partial void OnValidate(System.Data.Linq.ChangeAction action);
    partial void OnCreated();
    partial void OnIdChanging(int value);
    partial void OnIdChanged();
    partial void OnPublisherIdChanging(string value);
    partial void OnPublisherIdChanged();
    partial void OnNameChanging(string value);
    partial void OnNameChanged();
    partial void OnLastnameChanging(string value);
    partial void OnLastnameChanged();
    partial void OnEmailChanging(string value);
    partial void OnEmailChanged();
    partial void OnCompanyNameChanging(string value);
    partial void OnCompanyNameChanged();
    partial void OnWebsiteURLChanging(string value);
    partial void OnWebsiteURLChanged();
    partial void OnActiveChanging(bool value);
    partial void OnActiveChanged();
    partial void OnDeletedChanging(bool value);
    partial void OnDeletedChanged();
    partial void OnAddedDateChanging(System.DateTime value);
    partial void OnAddedDateChanged();
    #endregion
		
		public Publisher()
		{
			OnCreated();
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Id", AutoSync=AutoSync.OnInsert, DbType="Int NOT NULL IDENTITY", IsPrimaryKey=true, IsDbGenerated=true)]
		public int Id
		{
			get
			{
				return this._Id;
			}
			set
			{
				if ((this._Id != value))
				{
					this.OnIdChanging(value);
					this.SendPropertyChanging();
					this._Id = value;
					this.SendPropertyChanged("Id");
					this.OnIdChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_PublisherId", DbType="VarChar(32)")]
		public string PublisherId
		{
			get
			{
				return this._PublisherId;
			}
			set
			{
				if ((this._PublisherId != value))
				{
					this.OnPublisherIdChanging(value);
					this.SendPropertyChanging();
					this._PublisherId = value;
					this.SendPropertyChanged("PublisherId");
					this.OnPublisherIdChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Name", DbType="VarChar(50) NOT NULL", CanBeNull=false)]
		public string Name
		{
			get
			{
				return this._Name;
			}
			set
			{
				if ((this._Name != value))
				{
					this.OnNameChanging(value);
					this.SendPropertyChanging();
					this._Name = value;
					this.SendPropertyChanged("Name");
					this.OnNameChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Lastname", DbType="VarChar(50) NOT NULL", CanBeNull=false)]
		public string Lastname
		{
			get
			{
				return this._Lastname;
			}
			set
			{
				if ((this._Lastname != value))
				{
					this.OnLastnameChanging(value);
					this.SendPropertyChanging();
					this._Lastname = value;
					this.SendPropertyChanged("Lastname");
					this.OnLastnameChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Email", DbType="VarChar(250) NOT NULL", CanBeNull=false)]
		public string Email
		{
			get
			{
				return this._Email;
			}
			set
			{
				if ((this._Email != value))
				{
					this.OnEmailChanging(value);
					this.SendPropertyChanging();
					this._Email = value;
					this.SendPropertyChanged("Email");
					this.OnEmailChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_CompanyName", DbType="VarChar(50)")]
		public string CompanyName
		{
			get
			{
				return this._CompanyName;
			}
			set
			{
				if ((this._CompanyName != value))
				{
					this.OnCompanyNameChanging(value);
					this.SendPropertyChanging();
					this._CompanyName = value;
					this.SendPropertyChanged("CompanyName");
					this.OnCompanyNameChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_WebsiteURL", DbType="VarChar(250)")]
		public string WebsiteURL
		{
			get
			{
				return this._WebsiteURL;
			}
			set
			{
				if ((this._WebsiteURL != value))
				{
					this.OnWebsiteURLChanging(value);
					this.SendPropertyChanging();
					this._WebsiteURL = value;
					this.SendPropertyChanged("WebsiteURL");
					this.OnWebsiteURLChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Active", DbType="Bit NOT NULL")]
		public bool Active
		{
			get
			{
				return this._Active;
			}
			set
			{
				if ((this._Active != value))
				{
					this.OnActiveChanging(value);
					this.SendPropertyChanging();
					this._Active = value;
					this.SendPropertyChanged("Active");
					this.OnActiveChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Deleted", DbType="Bit NOT NULL")]
		public bool Deleted
		{
			get
			{
				return this._Deleted;
			}
			set
			{
				if ((this._Deleted != value))
				{
					this.OnDeletedChanging(value);
					this.SendPropertyChanging();
					this._Deleted = value;
					this.SendPropertyChanged("Deleted");
					this.OnDeletedChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_AddedDate", DbType="DateTime NOT NULL")]
		public System.DateTime AddedDate
		{
			get
			{
				return this._AddedDate;
			}
			set
			{
				if ((this._AddedDate != value))
				{
					this.OnAddedDateChanging(value);
					this.SendPropertyChanging();
					this._AddedDate = value;
					this.SendPropertyChanged("AddedDate");
					this.OnAddedDateChanged();
				}
			}
		}
		
		public event PropertyChangingEventHandler PropertyChanging;
		
		public event PropertyChangedEventHandler PropertyChanged;
		
		protected virtual void SendPropertyChanging()
		{
			if ((this.PropertyChanging != null))
			{
				this.PropertyChanging(this, emptyChangingEventArgs);
			}
		}
		
		protected virtual void SendPropertyChanged(String propertyName)
		{
			if ((this.PropertyChanged != null))
			{
				this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
			}
		}
	}
	
	[global::System.Data.Linq.Mapping.TableAttribute(Name="dbo.VimeoVideo")]
	public partial class VimeoVideo : INotifyPropertyChanging, INotifyPropertyChanged
	{
		
		private static PropertyChangingEventArgs emptyChangingEventArgs = new PropertyChangingEventArgs(String.Empty);
		
		private int _Id;
		
		private string _GameId;
		
		private int _Width;
		
		private int _Height;
		
		private int _Duration;
		
    #region Extensibility Method Definitions
    partial void OnLoaded();
    partial void OnValidate(System.Data.Linq.ChangeAction action);
    partial void OnCreated();
    partial void OnIdChanging(int value);
    partial void OnIdChanged();
    partial void OnGameIdChanging(string value);
    partial void OnGameIdChanged();
    partial void OnWidthChanging(int value);
    partial void OnWidthChanged();
    partial void OnHeightChanging(int value);
    partial void OnHeightChanged();
    partial void OnDurationChanging(int value);
    partial void OnDurationChanged();
    #endregion
		
		public VimeoVideo()
		{
			OnCreated();
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Id", AutoSync=AutoSync.OnInsert, DbType="Int NOT NULL IDENTITY", IsPrimaryKey=true, IsDbGenerated=true)]
		public int Id
		{
			get
			{
				return this._Id;
			}
			set
			{
				if ((this._Id != value))
				{
					this.OnIdChanging(value);
					this.SendPropertyChanging();
					this._Id = value;
					this.SendPropertyChanged("Id");
					this.OnIdChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_GameId", DbType="VarChar(32) NOT NULL", CanBeNull=false)]
		public string GameId
		{
			get
			{
				return this._GameId;
			}
			set
			{
				if ((this._GameId != value))
				{
					this.OnGameIdChanging(value);
					this.SendPropertyChanging();
					this._GameId = value;
					this.SendPropertyChanged("GameId");
					this.OnGameIdChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Width", DbType="Int NOT NULL")]
		public int Width
		{
			get
			{
				return this._Width;
			}
			set
			{
				if ((this._Width != value))
				{
					this.OnWidthChanging(value);
					this.SendPropertyChanging();
					this._Width = value;
					this.SendPropertyChanged("Width");
					this.OnWidthChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Height", DbType="Int NOT NULL")]
		public int Height
		{
			get
			{
				return this._Height;
			}
			set
			{
				if ((this._Height != value))
				{
					this.OnHeightChanging(value);
					this.SendPropertyChanging();
					this._Height = value;
					this.SendPropertyChanged("Height");
					this.OnHeightChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Duration", DbType="Int NOT NULL")]
		public int Duration
		{
			get
			{
				return this._Duration;
			}
			set
			{
				if ((this._Duration != value))
				{
					this.OnDurationChanging(value);
					this.SendPropertyChanging();
					this._Duration = value;
					this.SendPropertyChanged("Duration");
					this.OnDurationChanged();
				}
			}
		}
		
		public event PropertyChangingEventHandler PropertyChanging;
		
		public event PropertyChangedEventHandler PropertyChanged;
		
		protected virtual void SendPropertyChanging()
		{
			if ((this.PropertyChanging != null))
			{
				this.PropertyChanging(this, emptyChangingEventArgs);
			}
		}
		
		protected virtual void SendPropertyChanged(String propertyName)
		{
			if ((this.PropertyChanged != null))
			{
				this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
			}
		}
	}
	
	[global::System.Data.Linq.Mapping.TableAttribute(Name="dbo.VimeoFile")]
	public partial class VimeoFile : INotifyPropertyChanging, INotifyPropertyChanged
	{
		
		private static PropertyChangingEventArgs emptyChangingEventArgs = new PropertyChangingEventArgs(String.Empty);
		
		private int _Id;
		
		private string _GameId;
		
		private string _Quality;
		
		private string _Type;
		
		private System.Nullable<int> _Width;
		
		private System.Nullable<int> _Height;
		
		private int _Fps;
		
		private long _Size;
		
		private string _Link;
		
		private string _LinkSecure;
		
		private int _State;
		
		private string _OriginalLink;
		
    #region Extensibility Method Definitions
    partial void OnLoaded();
    partial void OnValidate(System.Data.Linq.ChangeAction action);
    partial void OnCreated();
    partial void OnIdChanging(int value);
    partial void OnIdChanged();
    partial void OnGameIdChanging(string value);
    partial void OnGameIdChanged();
    partial void OnQualityChanging(string value);
    partial void OnQualityChanged();
    partial void OnTypeChanging(string value);
    partial void OnTypeChanged();
    partial void OnWidthChanging(System.Nullable<int> value);
    partial void OnWidthChanged();
    partial void OnHeightChanging(System.Nullable<int> value);
    partial void OnHeightChanged();
    partial void OnFpsChanging(int value);
    partial void OnFpsChanged();
    partial void OnSizeChanging(long value);
    partial void OnSizeChanged();
    partial void OnLinkChanging(string value);
    partial void OnLinkChanged();
    partial void OnLinkSecureChanging(string value);
    partial void OnLinkSecureChanged();
    partial void OnStateChanging(int value);
    partial void OnStateChanged();
    partial void OnOriginalLinkChanging(string value);
    partial void OnOriginalLinkChanged();
    #endregion
		
		public VimeoFile()
		{
			OnCreated();
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Id", AutoSync=AutoSync.OnInsert, DbType="Int NOT NULL IDENTITY", IsPrimaryKey=true, IsDbGenerated=true)]
		public int Id
		{
			get
			{
				return this._Id;
			}
			set
			{
				if ((this._Id != value))
				{
					this.OnIdChanging(value);
					this.SendPropertyChanging();
					this._Id = value;
					this.SendPropertyChanged("Id");
					this.OnIdChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_GameId", DbType="VarChar(32) NOT NULL", CanBeNull=false)]
		public string GameId
		{
			get
			{
				return this._GameId;
			}
			set
			{
				if ((this._GameId != value))
				{
					this.OnGameIdChanging(value);
					this.SendPropertyChanging();
					this._GameId = value;
					this.SendPropertyChanged("GameId");
					this.OnGameIdChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Quality", DbType="VarChar(10) NOT NULL", CanBeNull=false)]
		public string Quality
		{
			get
			{
				return this._Quality;
			}
			set
			{
				if ((this._Quality != value))
				{
					this.OnQualityChanging(value);
					this.SendPropertyChanging();
					this._Quality = value;
					this.SendPropertyChanged("Quality");
					this.OnQualityChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Type", DbType="VarChar(50) NOT NULL", CanBeNull=false)]
		public string Type
		{
			get
			{
				return this._Type;
			}
			set
			{
				if ((this._Type != value))
				{
					this.OnTypeChanging(value);
					this.SendPropertyChanging();
					this._Type = value;
					this.SendPropertyChanged("Type");
					this.OnTypeChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Width", DbType="Int")]
		public System.Nullable<int> Width
		{
			get
			{
				return this._Width;
			}
			set
			{
				if ((this._Width != value))
				{
					this.OnWidthChanging(value);
					this.SendPropertyChanging();
					this._Width = value;
					this.SendPropertyChanged("Width");
					this.OnWidthChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Height", DbType="Int")]
		public System.Nullable<int> Height
		{
			get
			{
				return this._Height;
			}
			set
			{
				if ((this._Height != value))
				{
					this.OnHeightChanging(value);
					this.SendPropertyChanging();
					this._Height = value;
					this.SendPropertyChanged("Height");
					this.OnHeightChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Fps", DbType="Int NOT NULL")]
		public int Fps
		{
			get
			{
				return this._Fps;
			}
			set
			{
				if ((this._Fps != value))
				{
					this.OnFpsChanging(value);
					this.SendPropertyChanging();
					this._Fps = value;
					this.SendPropertyChanged("Fps");
					this.OnFpsChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Size", DbType="Bigint NOT NULL")]
		public long Size
		{
			get
			{
				return this._Size;
			}
			set
			{
				if ((this._Size != value))
				{
					this.OnSizeChanging(value);
					this.SendPropertyChanging();
					this._Size = value;
					this.SendPropertyChanged("Size");
					this.OnSizeChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Link", DbType="VarChar(512) NOT NULL", CanBeNull=false)]
		public string Link
		{
			get
			{
				return this._Link;
			}
			set
			{
				if ((this._Link != value))
				{
					this.OnLinkChanging(value);
					this.SendPropertyChanging();
					this._Link = value;
					this.SendPropertyChanged("Link");
					this.OnLinkChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_LinkSecure", DbType="VarChar(512) NOT NULL", CanBeNull=false)]
		public string LinkSecure
		{
			get
			{
				return this._LinkSecure;
			}
			set
			{
				if ((this._LinkSecure != value))
				{
					this.OnLinkSecureChanging(value);
					this.SendPropertyChanging();
					this._LinkSecure = value;
					this.SendPropertyChanged("LinkSecure");
					this.OnLinkSecureChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_State", DbType="Int NOT NULL")]
		public int State
		{
			get
			{
				return this._State;
			}
			set
			{
				if ((this._State != value))
				{
					this.OnStateChanging(value);
					this.SendPropertyChanging();
					this._State = value;
					this.SendPropertyChanged("State");
					this.OnStateChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_OriginalLink", DbType="VarChar(512)")]
		public string OriginalLink
		{
			get
			{
				return this._OriginalLink;
			}
			set
			{
				if ((this._OriginalLink != value))
				{
					this.OnOriginalLinkChanging(value);
					this.SendPropertyChanging();
					this._OriginalLink = value;
					this.SendPropertyChanged("OriginalLink");
					this.OnOriginalLinkChanged();
				}
			}
		}
		
		public event PropertyChangingEventHandler PropertyChanging;
		
		public event PropertyChangedEventHandler PropertyChanged;
		
		protected virtual void SendPropertyChanging()
		{
			if ((this.PropertyChanging != null))
			{
				this.PropertyChanging(this, emptyChangingEventArgs);
			}
		}
		
		protected virtual void SendPropertyChanged(String propertyName)
		{
			if ((this.PropertyChanged != null))
			{
				this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
			}
		}
	}
	
	[global::System.Data.Linq.Mapping.TableAttribute(Name="dbo.VimeoPicture")]
	public partial class VimeoPicture : INotifyPropertyChanging, INotifyPropertyChanged
	{
		
		private static PropertyChangingEventArgs emptyChangingEventArgs = new PropertyChangingEventArgs(String.Empty);
		
		private int _Id;
		
		private string _GameId;
		
		private int _Width;
		
		private int _Height;
		
		private string _Link;
		
		private int _State;
		
		private string _OriginalLink;
		
    #region Extensibility Method Definitions
    partial void OnLoaded();
    partial void OnValidate(System.Data.Linq.ChangeAction action);
    partial void OnCreated();
    partial void OnIdChanging(int value);
    partial void OnIdChanged();
    partial void OnGameIdChanging(string value);
    partial void OnGameIdChanged();
    partial void OnWidthChanging(int value);
    partial void OnWidthChanged();
    partial void OnHeightChanging(int value);
    partial void OnHeightChanged();
    partial void OnLinkChanging(string value);
    partial void OnLinkChanged();
    partial void OnStateChanging(int value);
    partial void OnStateChanged();
    partial void OnOriginalLinkChanging(string value);
    partial void OnOriginalLinkChanged();
    #endregion
		
		public VimeoPicture()
		{
			OnCreated();
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Id", AutoSync=AutoSync.OnInsert, DbType="Int NOT NULL IDENTITY", IsPrimaryKey=true, IsDbGenerated=true)]
		public int Id
		{
			get
			{
				return this._Id;
			}
			set
			{
				if ((this._Id != value))
				{
					this.OnIdChanging(value);
					this.SendPropertyChanging();
					this._Id = value;
					this.SendPropertyChanged("Id");
					this.OnIdChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_GameId", DbType="VarChar(32) NOT NULL", CanBeNull=false)]
		public string GameId
		{
			get
			{
				return this._GameId;
			}
			set
			{
				if ((this._GameId != value))
				{
					this.OnGameIdChanging(value);
					this.SendPropertyChanging();
					this._GameId = value;
					this.SendPropertyChanged("GameId");
					this.OnGameIdChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Width", DbType="Int NOT NULL")]
		public int Width
		{
			get
			{
				return this._Width;
			}
			set
			{
				if ((this._Width != value))
				{
					this.OnWidthChanging(value);
					this.SendPropertyChanging();
					this._Width = value;
					this.SendPropertyChanged("Width");
					this.OnWidthChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Height", DbType="Int NOT NULL")]
		public int Height
		{
			get
			{
				return this._Height;
			}
			set
			{
				if ((this._Height != value))
				{
					this.OnHeightChanging(value);
					this.SendPropertyChanging();
					this._Height = value;
					this.SendPropertyChanged("Height");
					this.OnHeightChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Link", DbType="VarChar(512) NOT NULL", CanBeNull=false)]
		public string Link
		{
			get
			{
				return this._Link;
			}
			set
			{
				if ((this._Link != value))
				{
					this.OnLinkChanging(value);
					this.SendPropertyChanging();
					this._Link = value;
					this.SendPropertyChanged("Link");
					this.OnLinkChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_State", DbType="Int NOT NULL")]
		public int State
		{
			get
			{
				return this._State;
			}
			set
			{
				if ((this._State != value))
				{
					this.OnStateChanging(value);
					this.SendPropertyChanging();
					this._State = value;
					this.SendPropertyChanged("State");
					this.OnStateChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_OriginalLink", DbType="VarChar(512)")]
		public string OriginalLink
		{
			get
			{
				return this._OriginalLink;
			}
			set
			{
				if ((this._OriginalLink != value))
				{
					this.OnOriginalLinkChanging(value);
					this.SendPropertyChanging();
					this._OriginalLink = value;
					this.SendPropertyChanged("OriginalLink");
					this.OnOriginalLinkChanged();
				}
			}
		}
		
		public event PropertyChangingEventHandler PropertyChanging;
		
		public event PropertyChangedEventHandler PropertyChanged;
		
		protected virtual void SendPropertyChanging()
		{
			if ((this.PropertyChanging != null))
			{
				this.PropertyChanging(this, emptyChangingEventArgs);
			}
		}
		
		protected virtual void SendPropertyChanged(String propertyName)
		{
			if ((this.PropertyChanged != null))
			{
				this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
			}
		}
	}
	
	[global::System.Data.Linq.Mapping.TableAttribute(Name="dbo.VideoCatalouge")]
	public partial class VideoCatalouge : INotifyPropertyChanging, INotifyPropertyChanged
	{
		
		private static PropertyChangingEventArgs emptyChangingEventArgs = new PropertyChangingEventArgs(String.Empty);
		
		private int _Id;
		
		private string _UserId;
		
		private string _GameId;
		
		private string _MediaUrl;
		
		private string _ApproverAdminId;
		
		private System.Nullable<System.DateTime> _ApprovedDate;
		
		private int _VideoState;
		
		private int _Transcoded;
		
		private int _PriorState;
		
		private System.DateTime _AddedDate;
		
		private string _VimeoUri;
		
		private string _VimeoState;
		
		private string _VimeoData;
		
		private System.Nullable<int> _PreviewState;
		
    #region Extensibility Method Definitions
    partial void OnLoaded();
    partial void OnValidate(System.Data.Linq.ChangeAction action);
    partial void OnCreated();
    partial void OnIdChanging(int value);
    partial void OnIdChanged();
    partial void OnUserIdChanging(string value);
    partial void OnUserIdChanged();
    partial void OnGameIdChanging(string value);
    partial void OnGameIdChanged();
    partial void OnMediaUrlChanging(string value);
    partial void OnMediaUrlChanged();
    partial void OnApproverAdminIdChanging(string value);
    partial void OnApproverAdminIdChanged();
    partial void OnApprovedDateChanging(System.Nullable<System.DateTime> value);
    partial void OnApprovedDateChanged();
    partial void OnVideoStateChanging(int value);
    partial void OnVideoStateChanged();
    partial void OnTranscodedChanging(int value);
    partial void OnTranscodedChanged();
    partial void OnPriorStateChanging(int value);
    partial void OnPriorStateChanged();
    partial void OnAddedDateChanging(System.DateTime value);
    partial void OnAddedDateChanged();
    partial void OnVimeoUriChanging(string value);
    partial void OnVimeoUriChanged();
    partial void OnVimeoStateChanging(string value);
    partial void OnVimeoStateChanged();
    partial void OnVimeoDataChanging(string value);
    partial void OnVimeoDataChanged();
    partial void OnPreviewStateChanging(System.Nullable<int> value);
    partial void OnPreviewStateChanged();
    #endregion
		
		public VideoCatalouge()
		{
			OnCreated();
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Id", AutoSync=AutoSync.OnInsert, DbType="Int NOT NULL IDENTITY", IsPrimaryKey=true, IsDbGenerated=true)]
		public int Id
		{
			get
			{
				return this._Id;
			}
			set
			{
				if ((this._Id != value))
				{
					this.OnIdChanging(value);
					this.SendPropertyChanging();
					this._Id = value;
					this.SendPropertyChanged("Id");
					this.OnIdChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_UserId", DbType="VarChar(128) NOT NULL", CanBeNull=false)]
		public string UserId
		{
			get
			{
				return this._UserId;
			}
			set
			{
				if ((this._UserId != value))
				{
					this.OnUserIdChanging(value);
					this.SendPropertyChanging();
					this._UserId = value;
					this.SendPropertyChanged("UserId");
					this.OnUserIdChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_GameId", DbType="VarChar(32) NOT NULL", CanBeNull=false)]
		public string GameId
		{
			get
			{
				return this._GameId;
			}
			set
			{
				if ((this._GameId != value))
				{
					this.OnGameIdChanging(value);
					this.SendPropertyChanging();
					this._GameId = value;
					this.SendPropertyChanged("GameId");
					this.OnGameIdChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_MediaUrl", DbType="VarChar(250)")]
		public string MediaUrl
		{
			get
			{
				return this._MediaUrl;
			}
			set
			{
				if ((this._MediaUrl != value))
				{
					this.OnMediaUrlChanging(value);
					this.SendPropertyChanging();
					this._MediaUrl = value;
					this.SendPropertyChanged("MediaUrl");
					this.OnMediaUrlChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_ApproverAdminId", DbType="VarChar(128)")]
		public string ApproverAdminId
		{
			get
			{
				return this._ApproverAdminId;
			}
			set
			{
				if ((this._ApproverAdminId != value))
				{
					this.OnApproverAdminIdChanging(value);
					this.SendPropertyChanging();
					this._ApproverAdminId = value;
					this.SendPropertyChanged("ApproverAdminId");
					this.OnApproverAdminIdChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_ApprovedDate", DbType="DateTime")]
		public System.Nullable<System.DateTime> ApprovedDate
		{
			get
			{
				return this._ApprovedDate;
			}
			set
			{
				if ((this._ApprovedDate != value))
				{
					this.OnApprovedDateChanging(value);
					this.SendPropertyChanging();
					this._ApprovedDate = value;
					this.SendPropertyChanged("ApprovedDate");
					this.OnApprovedDateChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_VideoState", DbType="Int NOT NULL")]
		public int VideoState
		{
			get
			{
				return this._VideoState;
			}
			set
			{
				if ((this._VideoState != value))
				{
					this.OnVideoStateChanging(value);
					this.SendPropertyChanging();
					this._VideoState = value;
					this.SendPropertyChanged("VideoState");
					this.OnVideoStateChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Transcoded", DbType="Int NOT NULL")]
		public int Transcoded
		{
			get
			{
				return this._Transcoded;
			}
			set
			{
				if ((this._Transcoded != value))
				{
					this.OnTranscodedChanging(value);
					this.SendPropertyChanging();
					this._Transcoded = value;
					this.SendPropertyChanged("Transcoded");
					this.OnTranscodedChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_PriorState", DbType="Int NOT NULL")]
		public int PriorState
		{
			get
			{
				return this._PriorState;
			}
			set
			{
				if ((this._PriorState != value))
				{
					this.OnPriorStateChanging(value);
					this.SendPropertyChanging();
					this._PriorState = value;
					this.SendPropertyChanged("PriorState");
					this.OnPriorStateChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_AddedDate", DbType="DateTime NOT NULL")]
		public System.DateTime AddedDate
		{
			get
			{
				return this._AddedDate;
			}
			set
			{
				if ((this._AddedDate != value))
				{
					this.OnAddedDateChanging(value);
					this.SendPropertyChanging();
					this._AddedDate = value;
					this.SendPropertyChanged("AddedDate");
					this.OnAddedDateChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_VimeoUri", DbType="VarChar(255)")]
		public string VimeoUri
		{
			get
			{
				return this._VimeoUri;
			}
			set
			{
				if ((this._VimeoUri != value))
				{
					this.OnVimeoUriChanging(value);
					this.SendPropertyChanging();
					this._VimeoUri = value;
					this.SendPropertyChanged("VimeoUri");
					this.OnVimeoUriChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_VimeoState", DbType="VarChar(32)")]
		public string VimeoState
		{
			get
			{
				return this._VimeoState;
			}
			set
			{
				if ((this._VimeoState != value))
				{
					this.OnVimeoStateChanging(value);
					this.SendPropertyChanging();
					this._VimeoState = value;
					this.SendPropertyChanged("VimeoState");
					this.OnVimeoStateChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_VimeoData", DbType="Text", UpdateCheck=UpdateCheck.Never)]
		public string VimeoData
		{
			get
			{
				return this._VimeoData;
			}
			set
			{
				if ((this._VimeoData != value))
				{
					this.OnVimeoDataChanging(value);
					this.SendPropertyChanging();
					this._VimeoData = value;
					this.SendPropertyChanged("VimeoData");
					this.OnVimeoDataChanged();
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_PreviewState", DbType="Int")]
		public System.Nullable<int> PreviewState
		{
			get
			{
				return this._PreviewState;
			}
			set
			{
				if ((this._PreviewState != value))
				{
					this.OnPreviewStateChanging(value);
					this.SendPropertyChanging();
					this._PreviewState = value;
					this.SendPropertyChanged("PreviewState");
					this.OnPreviewStateChanged();
				}
			}
		}
		
		public event PropertyChangingEventHandler PropertyChanging;
		
		public event PropertyChangedEventHandler PropertyChanged;
		
		protected virtual void SendPropertyChanging()
		{
			if ((this.PropertyChanging != null))
			{
				this.PropertyChanging(this, emptyChangingEventArgs);
			}
		}
		
		protected virtual void SendPropertyChanged(String propertyName)
		{
			if ((this.PropertyChanged != null))
			{
				this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
			}
		}
	}
	
	public partial class APP_GetMediaForPosterResult
	{
		
		private int _Id;
		
		private string _UserId;
		
		private string _GameId;
		
		private string _MediaURL;
		
		private int _Transcoded;
		
		public APP_GetMediaForPosterResult()
		{
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Id", DbType="Int NOT NULL")]
		public int Id
		{
			get
			{
				return this._Id;
			}
			set
			{
				if ((this._Id != value))
				{
					this._Id = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_UserId", DbType="VarChar(128) NOT NULL", CanBeNull=false)]
		public string UserId
		{
			get
			{
				return this._UserId;
			}
			set
			{
				if ((this._UserId != value))
				{
					this._UserId = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_GameId", DbType="VarChar(32) NOT NULL", CanBeNull=false)]
		public string GameId
		{
			get
			{
				return this._GameId;
			}
			set
			{
				if ((this._GameId != value))
				{
					this._GameId = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_MediaURL", DbType="VarChar(250)")]
		public string MediaURL
		{
			get
			{
				return this._MediaURL;
			}
			set
			{
				if ((this._MediaURL != value))
				{
					this._MediaURL = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Transcoded", DbType="Int NOT NULL")]
		public int Transcoded
		{
			get
			{
				return this._Transcoded;
			}
			set
			{
				if ((this._Transcoded != value))
				{
					this._Transcoded = value;
				}
			}
		}
	}
	
	public partial class ADM_GamesForSyncResult
	{
		
		private string _VideoId;
		
		private string _Title;
		
		private string _GameId;
		
		private string _Developer;
		
		public ADM_GamesForSyncResult()
		{
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_VideoId", DbType="VarChar(32)")]
		public string VideoId
		{
			get
			{
				return this._VideoId;
			}
			set
			{
				if ((this._VideoId != value))
				{
					this._VideoId = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Title", DbType="VarChar(150) NOT NULL", CanBeNull=false)]
		public string Title
		{
			get
			{
				return this._Title;
			}
			set
			{
				if ((this._Title != value))
				{
					this._Title = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_GameId", DbType="VarChar(36) NOT NULL", CanBeNull=false)]
		public string GameId
		{
			get
			{
				return this._GameId;
			}
			set
			{
				if ((this._GameId != value))
				{
					this._GameId = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Developer", DbType="VarChar(6) NOT NULL", CanBeNull=false)]
		public string Developer
		{
			get
			{
				return this._Developer;
			}
			set
			{
				if ((this._Developer != value))
				{
					this._Developer = value;
				}
			}
		}
	}
	
	public partial class APP_GetMediaForPreviewResult
	{
		
		private int _Id;
		
		private string _UserId;
		
		private string _GameId;
		
		private string _MediaURL;
		
		private int _Transcoded;
		
		private System.Nullable<int> _PreviewState;
		
		public APP_GetMediaForPreviewResult()
		{
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Id", DbType="Int NOT NULL")]
		public int Id
		{
			get
			{
				return this._Id;
			}
			set
			{
				if ((this._Id != value))
				{
					this._Id = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_UserId", DbType="VarChar(128) NOT NULL", CanBeNull=false)]
		public string UserId
		{
			get
			{
				return this._UserId;
			}
			set
			{
				if ((this._UserId != value))
				{
					this._UserId = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_GameId", DbType="VarChar(32) NOT NULL", CanBeNull=false)]
		public string GameId
		{
			get
			{
				return this._GameId;
			}
			set
			{
				if ((this._GameId != value))
				{
					this._GameId = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_MediaURL", DbType="VarChar(250)")]
		public string MediaURL
		{
			get
			{
				return this._MediaURL;
			}
			set
			{
				if ((this._MediaURL != value))
				{
					this._MediaURL = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Transcoded", DbType="Int NOT NULL")]
		public int Transcoded
		{
			get
			{
				return this._Transcoded;
			}
			set
			{
				if ((this._Transcoded != value))
				{
					this._Transcoded = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_PreviewState", DbType="Int")]
		public System.Nullable<int> PreviewState
		{
			get
			{
				return this._PreviewState;
			}
			set
			{
				if ((this._PreviewState != value))
				{
					this._PreviewState = value;
				}
			}
		}
	}
	
	public partial class APP_GetMediaForTranscoding2Result
	{
		
		private string _UserId;
		
		private string _GameId;
		
		private string _MediaURL;
		
		private int _Transcoded;
		
		private int _VimeoAccount;
		
		public APP_GetMediaForTranscoding2Result()
		{
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_UserId", DbType="VarChar(128) NOT NULL", CanBeNull=false)]
		public string UserId
		{
			get
			{
				return this._UserId;
			}
			set
			{
				if ((this._UserId != value))
				{
					this._UserId = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_GameId", DbType="VarChar(32) NOT NULL", CanBeNull=false)]
		public string GameId
		{
			get
			{
				return this._GameId;
			}
			set
			{
				if ((this._GameId != value))
				{
					this._GameId = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_MediaURL", DbType="VarChar(250)")]
		public string MediaURL
		{
			get
			{
				return this._MediaURL;
			}
			set
			{
				if ((this._MediaURL != value))
				{
					this._MediaURL = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Transcoded", DbType="Int NOT NULL")]
		public int Transcoded
		{
			get
			{
				return this._Transcoded;
			}
			set
			{
				if ((this._Transcoded != value))
				{
					this._Transcoded = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_VimeoAccount", DbType="Int NOT NULL")]
		public int VimeoAccount
		{
			get
			{
				return this._VimeoAccount;
			}
			set
			{
				if ((this._VimeoAccount != value))
				{
					this._VimeoAccount = value;
				}
			}
		}
	}
	
	public partial class APP_GetMediaForVimeoData3Result
	{
		
		private int _Id;
		
		private string _UserId;
		
		private string _GameId;
		
		private string _MediaURL;
		
		private int _Transcoded;
		
		private string _VimeoUri;
		
		private string _VimeoState;
		
		private string _VimeoData;
		
		private int _VimeoAccount;
		
		public APP_GetMediaForVimeoData3Result()
		{
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Id", DbType="Int NOT NULL")]
		public int Id
		{
			get
			{
				return this._Id;
			}
			set
			{
				if ((this._Id != value))
				{
					this._Id = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_UserId", DbType="VarChar(128) NOT NULL", CanBeNull=false)]
		public string UserId
		{
			get
			{
				return this._UserId;
			}
			set
			{
				if ((this._UserId != value))
				{
					this._UserId = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_GameId", DbType="VarChar(32) NOT NULL", CanBeNull=false)]
		public string GameId
		{
			get
			{
				return this._GameId;
			}
			set
			{
				if ((this._GameId != value))
				{
					this._GameId = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_MediaURL", DbType="VarChar(250)")]
		public string MediaURL
		{
			get
			{
				return this._MediaURL;
			}
			set
			{
				if ((this._MediaURL != value))
				{
					this._MediaURL = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Transcoded", DbType="Int NOT NULL")]
		public int Transcoded
		{
			get
			{
				return this._Transcoded;
			}
			set
			{
				if ((this._Transcoded != value))
				{
					this._Transcoded = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_VimeoUri", DbType="VarChar(255)")]
		public string VimeoUri
		{
			get
			{
				return this._VimeoUri;
			}
			set
			{
				if ((this._VimeoUri != value))
				{
					this._VimeoUri = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_VimeoState", DbType="VarChar(32)")]
		public string VimeoState
		{
			get
			{
				return this._VimeoState;
			}
			set
			{
				if ((this._VimeoState != value))
				{
					this._VimeoState = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_VimeoData", DbType="Text", UpdateCheck=UpdateCheck.Never)]
		public string VimeoData
		{
			get
			{
				return this._VimeoData;
			}
			set
			{
				if ((this._VimeoData != value))
				{
					this._VimeoData = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_VimeoAccount", DbType="Int NOT NULL")]
		public int VimeoAccount
		{
			get
			{
				return this._VimeoAccount;
			}
			set
			{
				if ((this._VimeoAccount != value))
				{
					this._VimeoAccount = value;
				}
			}
		}
	}
	
	public partial class APP_GetMediaForVimeoUpload2Result
	{
		
		private int _Id;
		
		private string _UserId;
		
		private string _GameId;
		
		private string _MediaURL;
		
		private int _Transcoded;
		
		private string _VimeoUri;
		
		private string _VimeoState;
		
		private string _VimeoData;
		
		private int _VimeoAccount;
		
		public APP_GetMediaForVimeoUpload2Result()
		{
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Id", DbType="Int NOT NULL")]
		public int Id
		{
			get
			{
				return this._Id;
			}
			set
			{
				if ((this._Id != value))
				{
					this._Id = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_UserId", DbType="VarChar(128) NOT NULL", CanBeNull=false)]
		public string UserId
		{
			get
			{
				return this._UserId;
			}
			set
			{
				if ((this._UserId != value))
				{
					this._UserId = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_GameId", DbType="VarChar(32) NOT NULL", CanBeNull=false)]
		public string GameId
		{
			get
			{
				return this._GameId;
			}
			set
			{
				if ((this._GameId != value))
				{
					this._GameId = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_MediaURL", DbType="VarChar(250)")]
		public string MediaURL
		{
			get
			{
				return this._MediaURL;
			}
			set
			{
				if ((this._MediaURL != value))
				{
					this._MediaURL = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_Transcoded", DbType="Int NOT NULL")]
		public int Transcoded
		{
			get
			{
				return this._Transcoded;
			}
			set
			{
				if ((this._Transcoded != value))
				{
					this._Transcoded = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_VimeoUri", DbType="VarChar(255)")]
		public string VimeoUri
		{
			get
			{
				return this._VimeoUri;
			}
			set
			{
				if ((this._VimeoUri != value))
				{
					this._VimeoUri = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_VimeoState", DbType="VarChar(32)")]
		public string VimeoState
		{
			get
			{
				return this._VimeoState;
			}
			set
			{
				if ((this._VimeoState != value))
				{
					this._VimeoState = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_VimeoData", DbType="Text", UpdateCheck=UpdateCheck.Never)]
		public string VimeoData
		{
			get
			{
				return this._VimeoData;
			}
			set
			{
				if ((this._VimeoData != value))
				{
					this._VimeoData = value;
				}
			}
		}
		
		[global::System.Data.Linq.Mapping.ColumnAttribute(Storage="_VimeoAccount", DbType="Int NOT NULL")]
		public int VimeoAccount
		{
			get
			{
				return this._VimeoAccount;
			}
			set
			{
				if ((this._VimeoAccount != value))
				{
					this._VimeoAccount = value;
				}
			}
		}
	}
}
#pragma warning restore 1591
